local SPELL_REBUKE = "96231"
local SPELL_WORD_OF_GLORY = "85673"
local SPELL_SHIELD_OF_THE_RIGHTEOUS = "53600"
local SPELL_HAMMER_OF_THE_RIGHTEOUS = "53595"
local SPELL_CRUSADER_STRIKE = "35395"
local SPELL_JUDGMENT = "20271"
local SPELL_AVENGERS_SHIELD = "31935"
local SPELL_SACRED_SHIELD = "65148"
local SPELL_SEAL_OF_RIGHTEOUSNESS = "20154"
local SPELL_SEAL_OF_TRUTH = "31801"
local SPELL_LIGHTS_HAMMER = "114158"
local SPELL_CONSECRATION = "26573"
local SPELL_HOLY_WRATH = "119072"
local SPELL_HOLY_PRISM = "114165"
local SPELL_EXECUTION_SENTENCE = "114157"
local SPELL_RIGHTEOUS_FURY = "25780"

local BUFF_BASTION_OF_GLORY = "114637"
local BUFF_GRAND_CRUSADER = "85043"

local BUFF_BLESSING_OF_MIGHT = "19740"
local BUFF_GRACE_OF_AIR = "116956"
local BUFF_ROAR_OF_COURAGE = "93435"
local BUFF_SPIRIT_BEAST_BLESSING = "128997"

local BUFF_BLESSING_OF_KINGS = "20217"
local BUFF_MARK_OF_THE_WILD = "1126"
local BUFF_LEGACY_OF_THE_EMPEROR = "115921"
local BUFF_EMBRACE_OF_THE_SHALE_SPIDER = "90363"

local DEBUFF_WEAKENED_BLOWS = "115798"

WhatsNext.defaultCastSequences["PALADIN"][2] = {{
		spell=SPELL_REBUKE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Target Is Interruptable',['invert']=false,},
		}
	},{
		spell=SPELL_WORD_OF_GLORY,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Holy Power',['invert']=false,['amount']='3',},
			{['type']='Maximum Health Percent',['invert']=false,['amount']='0.3',},
		}
	},{
		spell=SPELL_WORD_OF_GLORY,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Holy Power',['invert']=false,['amount']='5',},
			{['type']='Player Buffed',['count']='5',['buffName']=BUFF_BASTION_OF_GLORY,['invert']=false,},
			{['type']='Maximum Health Percent',['invert']=false,['amount']='0.5',},
		}
	},{
		spell=SPELL_SHIELD_OF_THE_RIGHTEOUS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Holy Power',['invert']=false,['amount']='5',},
		}
	},{
		spell=SPELL_HAMMER_OF_THE_RIGHTEOUS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Target Need Debuff',['debuffName']=DEBUFF_WEAKENED_BLOWS,['count']='1',['invert']=false,['time']='3',},
		}
	},{
		spell=SPELL_HAMMER_OF_THE_RIGHTEOUS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='4',},
		}
	},{
		spell=SPELL_CRUSADER_STRIKE,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_JUDGMENT,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_AVENGERS_SHIELD,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Player Buffed',['count']='1',['buffName']=BUFF_GRAND_CRUSADER,['invert']=false,},
		}
	},{
		spell=SPELL_CONSECRATION,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='4',},
		}
	},{
		spell=SPELL_AVENGERS_SHIELD,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_SACRED_SHIELD,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Player Need Buff From Player',['count']='1',['buffName']=SPELL_SACRED_SHIELD,['invert']=false,['time']='2',},
		}
	},{
		spell=SPELL_SEAL_OF_RIGHTEOUSNESS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='4',},
			{['type']='Seal',['invert']=true,['seal']=SPELL_SEAL_OF_RIGHTEOUSNESS,},
		}
	},{
		spell=SPELL_SEAL_OF_TRUTH,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Maximum Enemy Count',['invert']=false,['amount']='3',},
			{['type']='Seal',['invert']=true,['seal']=SPELL_SEAL_OF_TRUTH,},
		}
	},{
		spell=SPELL_LIGHTS_HAMMER,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_EXECUTION_SENTENCE,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_HOLY_PRISM,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_CONSECRATION,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_HOLY_WRATH,
		checks={
			{['type']='In Combat',['invert']=false,},
		}	
	},{
		spell=BUFF_BLESSING_OF_MIGHT,
		checks={
			{ type = "Player Buffed By Player", buffName = BUFF_BLESSING_OF_KINGS, count = 1, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_BLESSING_OF_MIGHT, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_GRACE_OF_AIR, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_ROAR_OF_COURAGE, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_SPIRIT_BEAST_BLESSING, yards = 60, invert = true},
		}	
	},{
		spell=BUFF_BLESSING_OF_KINGS,
		checks={
			{ type = "Player Buffed By Player", buffName = BUFF_BLESSING_OF_MIGHT, count = 1, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_BLESSING_OF_KINGS, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_MARK_OF_THE_WILD, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_LEGACY_OF_THE_EMPEROR, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_EMBRACE_OF_THE_SHALE_SPIDER, yards = 60, invert = true},
		}	
	},{
		spell=SPELL_RIGHTEOUS_FURY,
		checks={
			{ type = "Player Buffed By Player", buffName = SPELL_RIGHTEOUS_FURY, count = 1, invert = true},
		}
	}
}